body{
 overflow-x: hidden;
}

main{
	min-height:750px;
}


/*=======================================
 * Home page Style
 * ======================================*/
.design_now_nemu .pp-menu-item{
    border: 1px solid #685544;
    border-radius: 50px;
	overflow:hidden;
}

.hero-comparison .twentytwenty-overlay div{
	display:none;
}
.home-about-content i{
	font-style: normal;
}
/* .twentytwenty-handle{
	height: 80px !important;
    width: 80px !important;
    margin-left: -45px !important;
    background: linear-gradient(93deg, rgb(171 166 159 / 49%) 43%, rgb(255 255 255 / 2%) 100%);
    border: 5px solid #FFF !important;
}
 */
.twentytwenty-handle{
	height: 100% !important;
    width: 5px !important;
    margin-left: unset !important;
    /* background: linear-gradient(93deg, rgb(171 166 159 / 49%) 43%, rgb(255 255 255 / 2%) 100%); */
    border: 0px solid #e15050 !important;
    top: unset !important;
    height: 100%;
    margin: 0px !important;
    background-color: #FFF;
}
/* .twentytwenty-horizontal .twentytwenty-handle:before{
    margin-bottom: 40px !important;
	width:5px !important;
} */
.twentytwenty-horizontal .twentytwenty-handle:before{
    margin-bottom: 40px !important;
    width: 80px !important;
    height: 80px !important;
    background-color: #bbb8b13b !important;
    border-radius: 50%;
    border: 5px solid #FFF;
    top: 50%;
    margin-top: -40px;
    left: -35px !important;
}
.twentytwenty-handle span{
	border:0px !important;	
}
.twentytwenty-left-arrow:before{
	content: '';
    background-image: url(../../../wp-content/uploads/2024/04/left.png);
    position: absolute;
    width: 11px;
    height: 19px;
    top: -3px;
/*     left: -12px; */
	left: -10px;
    z-index: 99;
}
.twentytwenty-left-arrow:before{
    left: -10px;
    z-index: 99;
}
.twentytwenty-right-arrow:before{
	content:'';
	background-image:url('../../../wp-content/uploads/2024/04/right.png'); 
	position: absolute;
    width: 11px;
    height: 19px;
    top: -3px;
	right: -10px;
	z-index: 99;
}
.twentytwenty-horizontal .twentytwenty-handle:after{
	margin-top: 40px !important;
	width:5px !important;
	display:none !important;
}

.ai-button-style a{
	background-color:transparent !important;
	padding:10px;
}
.ai-button-style .elementor-button .elementor-button-content-wrapper{
	position:relative;
	align-items:center;
	gap:20px;
}
.ai-button-style .elementor-button .elementor-button-content-wrapper:after{
	content:'';
	background-image:url('../../../wp-content/uploads/2024/04/button-arrow.svg');
	width:205px;
	height:108px;
	transition:.2s ease-in-out;
}

.ai-button-style.white  .elementor-button-content-wrapper:after{
	background-image:url('../../../wp-content/uploads/2024/04/white-btn-arrow.svg');
}
.ai-button-style .elementor-button:hover .elementor-button-content-wrapper:after{
	background-image:url('../../../wp-content/uploads/2024/04/btn-arrow-hover.svg');
}
.ai-button-style.white .elementor-button-text{
	color:#FFF;
}
.ai-button-style .elementor-button-text{
    order: 0 !important;
}

/* .header-animation h1 div{
	transform: translateY(100%);
}
 */
/*====================================
 * Swiper
 * ==================================*/

.pp-swiper-slider{
	overflow:hidden;
}
.pp-slider-arrow svg{
	display:none;
}
.swiper-button-prev:after, .swiper-button-next:after{
    font-size: 20px;
}

/*====================================
 * process-steps-wrap
 * ==================================*/
.step-process-section{}
.divider-process .elementor-divider{
    background: #FFF;
}
.process-steps-wrap .pp-info-box-title{
    width: 45px;
    height: 45px;
    background-color: #505050;
    color: #FFF;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.process-steps-wrap .pp-info-box-subtitle {
	min-height: 28px;
}
.our-partners .pp-swiper-slider{
/*  padding: 0px 40px; */
}
.our-partners .pp-slider-arrow{
    background-color: transparent !important;
}

.our-partners .pp-arrow-prev{
	left: -50px !important;
}
.our-partners .pp-arrow-next{
	right: -50px !important;
}
.our-partners .pp-post{
	display:flex;
    flex-direction: column-reverse;
}

.our-partners .pp-post-content{
   display: flex;
    justify-content: space-between;
    flex-direction: row-reverse;
    margin-bottom: 40px;
	border-top:1px solid #685545;
	padding-top: 15px;
}
.our-partners .pp-post-title{
	margin:0px;
}
.our-partners .pp-post .pp-post-thumbnail img{
	transition:.2s ease-in-out;
}
.our-partners .pp-post .pp-post-thumbnail-wrap{
	overflow:hidden;
	border-radius:5px;
}
.our-partners .pp-post .pp-post-thumbnail-wrap a{
	display:block;
	font-size:0px !important;
}
.our-partners .pp-post:hover .pp-post-thumbnail img{
	transform:scale(1.1);
}
/* .our-partners .pp-post .pp-post-thumbnail:before{
    content: "";
    background-image: url(../../../wp-content/uploads/2024/04/Group-31.png);
    position: absolute;
    width: 77px;
    height: 66px;
    left: 20px;
    bottom: 20px;
    z-index: 9;
} */
.our-partners .partner_logo{
    position: absolute;
    height: 60px;
    bottom: 38px;
    overflow: hidden;
    background-color: #fff;
    width: 80px;
    left: 42px;
    padding: 10px;
    border-radius: 5px;
    display: flex;
    align-items: center;
}

/*===============================
 * design-gallery-section
 * =============================*/
.design-gallery-section{
	overflow:hidden;
}

.design-gallery-section:before{
	content: '';
    position: absolute;
    width: 700px;
    height: 700px;
    border: 1px solid #685544;
    border-radius: 50%;
    right: -10px;
    left: unset;
	animation: rotation 40s linear infinite;
}

.design-gallery-before::before {
	content: '';
	position: absolute;
	background: linear-gradient(180deg, rgb(255 255 255 / 2%) 0%, rgba(245, 244, 240, 1) 69%);
	width: 100%;
	height: 340px;
	z-index: 9;
	bottom: 0;
}

.cirlcle-button .elementor-button {
	width: 150px;
    height: 150px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #685544;
    background-color: transparent;
    color: #685544;
    margin: 0px auto;
	transition:.2s ease-in-out;
}

.cirlcle-button .elementor-button:hover{
    background-color: #685544;
    color:#FFF;
}
.get-stared-section{
	overflow:hidden;
}

/*====================================
 * border-animation
 *====================================*/

.border-animation:before{
	position: absolute;
    content: '';
    height: 250px;
    width: 350px;
    background: linear-gradient(90deg, #AEA49A 50%, transparent 50%), linear-gradient(90deg, #AEA49A 50%, transparent 50%), linear-gradient(0deg, #AEA49A 50%, transparent 50%), linear-gradient(0deg, #AEA49A 50%, transparent 50%);
    background-repeat: repeat-x, repeat-x, repeat-y, repeat-y;
    background-size: 16px 1px, 16px 1px, 1px 16px, 1px 16px;
    background-position: 0% 0%, 100% 100%, 0% 100%, 100% 0px;
    border-radius: 0px;
    padding: 10px;
    left: 25px;
    animation: dash 5s linear infinite;
    top: 108px;
    z-index: -1;
}

@keyframes dash {
    to {
        background-position: 100% 0%, 0% 100%, 0% 0%, 100% 100%;
    }
}

@keyframes rotation{
	0% {
		transform: rotate(0deg);
		top:10px;
	}
	100% {
		top:20px;
		transform: rotate(360deg);
	}
}

.reno-btn-style .elementor-button{
	background: rgba(81, 81, 81, 1) !important;
    border-radius: 50px;
    font-size: 16px;
    padding: 10px 60px 10px 40px;
}
.reno-btn-style .elementor-button-icon{
    width: 40px;
    height: 40px;
    background: #FFF;
    line-height: 30px;
    border-radius: 50%;
    position: absolute;
    right: -10px;
    top: -2.5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.reno-btn-style .elementor-button:hover{
	background-color:#EB595F!important;
}

/*===================================
 * Loader 
 * ==================================*/

.loader-home, .loader{
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 99;
    background-image: url(https://www.renosolution.com.sg/wp-content/uploads/2024/08/renosolution-preloader-bg-1920X1024.jpg);
    background-size: cover;
    background-position: center center;
}
.loader-home:before, .loader:before  {
    content: '';
	background: rgb(255,243,231);
	background: radial-gradient(circle, rgba(255,243,231,0.3085609243697479) 36%, rgba(245,244,240,0.7455357142857143) 100%);
    width: 100%;
    height: 100%;
    position: absolute;
    background-size: cover;
    z-index: 999;
    background-position: top center;
}
.loader-container {
	max-width: 1200px;;
    min-height:800px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.loader-container h3{
  font-family: Poppins;
  font-size: 64px;
  font-weight: 400;
  line-height: 64px;
  text-align: center;
  color: rgba(235, 89, 95, 1);
  margin-bottom:20px;
}
.progress{
  width:150px;
  height:10px;
  background: rgba(217, 217, 217, 1);
  border-radius:10px;
  margin:0px auto;
  position:relative;
}
.progress .progress-bar{
  height:10px;
  background: rgba(236, 106, 111, 1);
  border-radius:10px;
} 

.loader-top-part {
	display: flex;
    gap: 20px;
    justify-content: space-between;
    align-items: center;
}
.loader-top-part .heading-part{
	max-width: 730px;
    padding-left: 160px;
	position:relative;
	margin-top:40px;
}
.loader-top-part .heading-part h2{
	color:#685544;
	font-size:2.5em; 
	font-weight:400;
	font-family:"Poppins";
}
.loader-top-part .heading-part:before{
    content: '';
    position: absolute;
    width: 250px;
    height: 270px;
    background-image: url(https://www.renosolution.com.sg/wp-content/uploads/2024/08/red-circle.png);
    background-size: 100% 100%;
    right: 0;
    bottom: -50px;
}
.loader-bottom-part{
	display:flex; 
	gap:0px;
    align-items: end;
}
.loader-bottom-part{
    padding-left: 130px;
	position:relative;
}
.loader-bottom-part .custom-ai{
	margin-bottom:-50px;
}
.loader-bottom-part .details{
    padding: 20px 85px 60px 20px;
    border: 1px solid #CDCDCD;
    background: #FAFAFA;
    font-size: 12px;
    max-width: 500px;
    color: #685544;
    opacity: 0.5;
}
.loader-bottom-part .custom-ai h5{
	color: #685544;
	font-size:16px;
	font-weight:400;
	font-family:"Poppins";
}
.loader-bottom-part:before{
    content: '';
    position: absolute;
    width: 270px;
    height: 270px;
    background-image: url(https://www.renosolution.com.sg/wp-content/uploads/2024/08/red-circle.png);
    background-size: 100% 100%;
    right: 0;
    bottom: -50px;
}

/*======================================
 * on scrolling
 * =====================================*/

.progress-bar{}
.progress-bar .progress-bar-line{
	width: 10px;
	height: 100px;
	background-color:rgba(212, 212, 212, 1);
	border-radius: 10px;
	margin: 0px auto;
}
.progress-bar .progress-bar-line .progress-completed-bar{
	background-color:rgba(104, 85, 68, 1);
	width: 10px;
	border-radius: 10px;
}
.reno-footer-menu .pp-menu-item, #menu-footer-menu-1 .pp-menu-item{
	position:relative;
}
.reno-footer-menu .pp-menu-item:before, #menu-footer-menu-1 .pp-menu-item:before, #menu-header-menu-1 .pp-menu-item:before{
	content: '';
    width: 0%;
    height: 1px;
    background-color: #685544 !important;
    position: absolute;
	left:0;
	bottom:5px;
	opacity:1 !important;
	transition:.5s ease-in-out;
}
.reno-footer-menu .pp-menu-item:hover:before, #menu-footer-menu-1 .pp-menu-item:hover:before, #menu-header-menu-1 .pp-menu-item:hover:before{
	 width:100%;
}
.header-login-btn a {
	background: #685544 !important;
	color: #fff !important;
	width: 120px;
	border-radius: 50px;
	text-align: center !important;
	display: flex !important;
	justify-content: center !important;
	margin-top: 10px;
	border: 1px solid #685544 !important;
	padding: 7px 0 !important;
	transition: 0.5s !important;
}
.header-login-btn a:hover{
	color: #685544 !important; 
	background: transparent !important;
}
#menu-header-menu-1{
	margin: 30px 25px;
}
#menu-header-menu-1 a{
	padding-left: 0 !important;
}
body .header-login-btn a:before{
	display: none !important;
}

.user-login-buttons{
    display: flex;
    gap: 20px;
    align-items: center;
    justify-content: center;
    padding: 0px 20px 10px 20px;
}
.user-login-buttons .button{
	margin-top:0px !important;
}
.user-login-buttons .button .btn{
    background-color: transparent;
    color: #FFF;
    border-radius: 50px !important;
    border: 1px solid #685544;
    border-radius: 50px;
    overflow: hidden;
    color: var(--e-global-color-4f455c3);
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 8px;
    padding-bottom: 8px;
    min-width: 150px;
}
.user-login-buttons .button .btn:hover{
	background-color:#685544;
	color:#FFF;
}
.login-bottom-text{
    text-align: center;
    margin-top: 20px; 
}
.login-bottom-text a{
	color:rgba(104, 85, 68, 1);
}
.reno_login_form .modal-card-w {
	margin-top:0px !important;
}


.global-btn-design{
	position: relative;
}
.global-btn-design::before {
	content: '';
	position: absolute;
	border: 1px dashed #685544;
	width: 158px;
	height: 55px;
	border-radius: 50px;
	left: 49.98%;
	transform: translate(-50%);
	top: -6px;
	z-index: -1;
}
.reno-banner-section .global-btn-design::before {
	border: 1px dashed #fff;
	z-index: 2;
}
.reno-banner-section .global-btn-design a{
	z-index: 333;
	position: relative;
}



/*======================================
 * Responsive css
 * =====================================*/


@media(max-width: 1400px){ 
	.design-gallery-section:before{
		width: 500px;
		height: 500px;
	}
}
@media(max-width: 1266px){ 
	.our-partners .pp-arrow-next{
    	right: 20px !important;
	}
	.our-partners .pp-arrow-prev{
    	left: 20px !important;
	}
	.our-partners .pp-slider-arrow {
		background-color: #FFF !important;
	}
	
}
@media(max-width: 1200px){ 
		
	.hero-comparison .twentytwenty-container{
		height:400px !important;
	}
	.hero-comparison .twentytwenty-container img{
		height:100%;
		object-fit:cover;
	}
	.pos-left .ai-button-style-hover{
		left:0;
	}
	.loader-top-part .heading-part{
    	padding-left: 50px;
	}
}


@media(max-width: 1024px){ 
	.design-gallery-section:before{
		width: 350px;
		height: 350px;
	}
	
	.ai-button-style-hover .button-circle{
		width: 70px;
    	height: 70px;
	}
	.ai-button-style-hover .button-svg-arrow svg{
		width:100px;
	}
	.ai-button-style-hover .elementor-button-content-wrapper {
		align-items: center;
		left: -20px;
		top: 15px;
		position: relative;
	}
	.border-animation:before{
   	 	width: 300px;
    	left: 0px;
		height:170px;
	}
	.loader-center-part{
		margin-top:20px;
	}
	.loader-bottom-part{
		padding-left:50px;
	}
	.renovation-api-remain {
		left: 15px;
		transform: unset;
	}
	.renovation-api-old-image {
		padding-right: 15px;
	}
}


@media(max-width: 991px){ 
	
	.hero-comparison .twentytwenty-container{
		height:350px !important;
	}
	.loader-top-part .heading-part h2{
   	 font-size: 2em;
	}
	.loader-container h3{
		font-size:48px;
	}
}

@media(max-width: 767px){ 
	.hero-comparison .twentytwenty-container{
		height:300px !important;
	}
	.design-gallery-section:before{
		display:none;
	}
	.border-animation::before {
		width: 310px !important;
		left: 25px !important;
		height: 210px !important;
		background-size: 3px 1px, 10px 1px, 1px 10px, 1px 10px !important;
	}
	.process-steps-wrap .pp-info-box-title{
		margin:0px auto;
	}
	.loader-top-part .heading-part h2 {
        font-size: 1.5em;
    }   
	.loader-container h3 {
        font-size: 40px;
    }
		.loader-bottom-part{
		padding-left:20px;
	}
	.loader-top-part .heading-part:before{
		width:150px;
		height:150px;
	}
	.loader-bottom-part:before{
		width:150px;
		height:150px;
	}
	.loader-bottom-part .details{
		padding:20px;
	}

	.you-requirements-section .renovation-tabs {
		display: flex;
		flex-wrap: wrap;
		padding-top: 10px;
	}
	.renovation-api-old-image {
		justify-content: center;
		display: flex;
		max-width: 100%;
		column-gap: 15px;
		position: relative;
		top: -17px;
		left: 50%;
		transform: translate(-50%);
		width: 100%;
	}
	.renovation-api-remain {
		top: -44px;
		left: 50%;
		transform: translate(-50%);
	}
	.renovation-api-old-image a, .renovation-api-old-image span:nth-child(2) a:hover {
		padding: 7px 30px;
	}
	.divider-process {
        position: absolute;
        left: 26px;
        top: 3px;
        width: 12px !important;
        height: 100% !important;
	}
    .divider-process .elementor-divider {
        background: #FFF;
        height: 100%;
    }
	
/* 	.design-gallery-before .pp-image-gallery .pp-grid-item-wrap:nth-child(10), 
	.design-gallery-before .pp-image-gallery .pp-grid-item-wrap:nth-child(11), 
	.design-gallery-before .pp-image-gallery .pp-grid-item-wrap:nth-child(9){
		display: none !important;
	} */
	.design-gallery-before::before {
		height: 120px;
	}
}


@media(max-width: 575px){ 
	 .border-animation:before {
        width: 283px;
        left: 20px;
        height: 150px;
    }
	.loader-top-part .heading-part {
        padding-left: 20px;
    }   
	.loader-top-part .heading-part h2 {
        font-size: 1.15em;
    }
	.loader-bottom-part{
		padding-left:20px;
	}
}

@media(max-width: 414px){ 
	
}

@media(max-width: 375px){ 
	
}

